﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Navigation;
using Microsoft.Phone.Controls;
using Microsoft.Phone.Shell;
using TileArrangeDemo.Resources;
using System.Windows.Media;

namespace TileArrangeDemo
{
    public partial class MainPage : PhoneApplicationPage
    {
        // 构造函数
        public MainPage()
        {
            InitializeComponent();
        }

        Border borderTemp;
        private void Border_Tap(object sender, System.Windows.Input.GestureEventArgs e)
        {
            Border border = sender as Border;

            if (border == borderTemp)
            {
                border.BorderBrush = new SolidColorBrush(Colors.Transparent);
                borderTemp = null;
                return;
            }

            if (borderTemp != null)
            {
                SwapBorder(borderTemp, border);
            }
            else
            {
                borderTemp = sender as Border;
                borderTemp.BorderBrush = new SolidColorBrush(Color.FromArgb(0xff,0xff, 0xff, 0xff));
            }
        }

        void SwapBorder(Border border1, Border border2)
        {
            int colNum1 = Grid.GetColumn(border1);
            int rowNum1 = Grid.GetRow(border1);

            int colNum2 = Grid.GetColumn(border2);
            int rowNum2 = Grid.GetRow(border2);

            Grid.SetColumn(border1, colNum2);
            Grid.SetRow(border1, rowNum2);

            Grid.SetColumn(border2, colNum1);
            Grid.SetRow(border2, rowNum1);
        }
    }
}